System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.CodeDom.CodeExpression System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.AutoDispatch) System.Runtime.InteropServices.ComVisible(true)

can represent a parameter passed to a method and the reference direction of the parameter.

The property indicates the expression to qualify with a direction. The property indicates the direction of the parameter using one of the enumeration values.

is intended to be used as a method invoke parameter, and should not be used when declaring methods.

Represents an expression used as a method invoke parameter along with a reference direction indicator.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified field direction and expression.

  A that indicates the field direction of the expression.
  A that indicates the code expression to represent.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.FieldDirection To be added: an object of type 'FieldDirection' To be added

  Gets or sets the field direction for this direction expression.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.CodeExpression To be added: an object of type 'CodeExpression' To be added

  Gets or sets the code expression to represent.